This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 36605 - rhn_register doesn't allow registrations to be reused
rhn_register doesn't allow registrations to be reused
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-18 22:43 EDT by Scott Schmit
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 17:30:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Schmit 2001-04-18 22:43:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686; Nav)


up2date requires that I register with rhn_register. I already did, so
I want (obviously) to use my prior username. It claims I can do that
already--I just have to put in my username and password. But if I do that,
it tells me to retype my password. So I do. It then tells me this username
is already registered (duh).

Reproducible: Always
Steps to Reproduce:
1. Register a username with rhn_register
2. Reset your registration info (reinstall, rm /etc/sysconfig/rhn/systemid,
whatever)
3. use rhn_register and attempt to reuse your registration
	

Actual Results:  It tells me the username is already in use and I can't
reregister it.

Expected Results:  It should retrieve/reuse my registration.
Comment 1 Jay Turner 2001-04-19 07:09:06 EDT
We are working on a method to allow rhn_register to read account information in
the case of re-registration.  If you are entering the username that you used the
first time, as well as the password and getting a message that the username is
already taken, that generally means that there is already an entry in the
database for that username, but with a different password.  I would suggest
going to http://www.redhat.com/network/main/login.html and clicking "Forgot Your
Password"  You can enter the username as well as the email address on the
account and we will mail you the password associated.
Comment 2 Scott Schmit 2001-04-19 11:23:31 EDT
Yeah, that was it.
Perhaps the GUI should be more clear on the difference...

Note You need to log in before you can comment on or make changes to this bug.